This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

CCS/TIDA-010031: Build Error: "MSP430FR2355_emu.xml does not exist."

Part Number: TIDA-010031
Other Parts Discussed in Thread: MSP430FR2355

Tool/software: Code Composer Studio

Hellow,

I am trying to build the project TIDA-010031 and met below error message:

File drivers/MSP430FR2355_emu.xml does not exist.  Was included by file C:/Users/hslee/workspace_2_0/DRV832X_MSP430FR2355_Trapezoidal_Sensorless_BLDC/targetConfigs/MSP430FR2355.ccxml

Please help.

Thanks in advance,

Heon Lee

  • Heon Lee,

    What version of CCS are you running?

    Regards,

    John

  • John,

    Thank you for prompt reply. I am using  Version: 9.1.0.00010 .

    And, because the original project has strange targetConfiguration of 5529, I created new targetConfiguration and assigned FR2355, which cleared the error but shows 519 items of Warning.

    I am not sure if the problem was solved.

    Thanks,

    Heon

  • Heon,

    I found the project that you are using.  I imported it and I see the same issue with the target configurations that are being provided in the example.  Creating a new configuration like you did resolves that.

    I also see the large number of warnings.

    It seems like the project is including multiple header files that define the same macros.  I can't tell if this is going to be a problem.  I will see if I can loop in someone who knows this project to comment.

    Regards,

    John

  • Hi, Heon, John,

    The reason is the update of MSP430ware. The latest version CCS should use the latest device description file. In your CCS, please download the latest MSP430ware. Then you can import an example project with MSP430FR2355. Please find it from Device->MSP430FR2xx_4xx -> MSP430FR2355. You can import any of examples. In the new example project, you can find the latest MSP430FR2355.ccxml. Then directly replace the firmware with the latest one. It would work properly. 

    B.R

    Hawken Li

  • Hawken,

    Thank you for advice. I did the followings:

    In CCS, (1) open Resource Explorer, (2) find MSP430Ware-v:3.80.07.00, and (3) pressed Install button.

    However, still I have seen same error messages in the console:

    "..\driverlib\MSP430F5xx_6xx\inc\../deprecated/CCS/msp430f5xx_6xxgeneric.h", line 8979: warning #48-D: incompatible redefinition of macro "UCSSEL_0" (declared at line 6407 of "C:\ti\ccs910\ccs\ccs_base\msp430\include\msp430fr2355.h")

    ...

    ..\driverlib\MSP430F5xx_6xx\inc\../deprecated/CCS/msp430f5xx_6xxgeneric.h", line 8983: warning #48-D: incompatible redefinition of macro "UCSSEL__UCLK" (declared at line 6414 of "C:\ti\ccs910\ccs\ccs_base\msp430\include\msp430fr2355.h")

    "

    I do not find the reason why the compiler refers f5xx_6xx.

    Do I need to install old version of CCS or old version of Compiler described in the Application Note?

  • Hi, Heon, 

    You can ignore these warnings. The project can be built properly. We use some of the MSP430F5xx lib during the development. Don't worry about the warnings. 

    If you need a CCS9 project without warning, please contact me by email: hawken@ti.com

    B.R

    Hawken